using UnityEngine;


namespace Mod
{
	public class Mod
	{
		public static void Main()
		{				
CategoryBuilder.Create("TARKOVGUN", "guns :P", ModAPI.LoadSprite("category.png"));
				ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "AKM [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/akm.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akm/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("akm/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("akm.mp3"),

                        };
			        }
                }
            );
				ModAPI.Register(
			    new Modification()
				{

				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "AK 101 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/101.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak101/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ak101/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("akm.mp3"),

                        };
			        }
                }
            );
				ModAPI.Register(
			    new Modification()
				{

				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "AK 102 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/102.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak102/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ak102/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("akm.mp3"),

                        };
			        }
                }
            );
		ModAPI.Register(
			    new Modification()
				{

				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "AK 103 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/103.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak103/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ak103/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("akm.mp3"),

                        };
			        }
                }
            );
		ModAPI.Register(
			    new Modification()
				{

				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "AK 104 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/104.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak104/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ak104/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("akm.mp3"),

                        };
			        }
                }
            );
		ModAPI.Register(
			    new Modification()
				{

				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "AK 105 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/105.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak105/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ak105/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("akm.mp3"),

                        };
			        }
                }
            );
		ModAPI.Register(
			    new Modification()
				{

				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "AKMs [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/aks.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("aks/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("aks/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("akm.mp3"),

                        };
			        }
                }
            );
					ModAPI.Register(
			    new Modification()
				{

				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "AK 74 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/74.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak74/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ak74/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("74.mp3"),

                        };
			        }
                }
            );
					ModAPI.Register(
			    new Modification()
				{

				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "AK 74m [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/74m.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak74m/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ak74m/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("74.mp3"),

                        };
			        }
                }
            );
					ModAPI.Register(
			    new Modification()
				{

				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "AKS74U [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/aksu.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt2.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("aksu/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("aksu/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5900f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("74.mp3"),

                        };
			        }
                }
            );
						ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "ASH 12 [EFT]",
                    NameToOrderByOverride = "@",
                    DescriptionOverride = "ASH",
                    CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/ash.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects(); 
                        var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ash/back.png", 6.5000f);
                        childSprite.sortingLayerName = "Background";                     
                        childSprite.sortingOrder = +1;
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ash/bolt.png", 6.5000f);
                        Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ash/gun.png", 6.5000f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
                        
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        
                        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                        
                        firearm.Cartridge = customCartridge;
                        customCartridge.name = "cartridge";                                        
                        customCartridge.Recoil *= 5f;
                        firearm.casingPosition = new Vector3(-0.2f,0.1f);                                                                                            
                       
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

                        
                        ;Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5500f, 0.1000f);
                        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval =0.1300f;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("ash.mp3"),

                        };
						
                    }
                }
            );
						ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                    NameOverride = "MP 153 [EFT]",
                    NameToOrderByOverride = "@",
                    DescriptionOverride = "GUN",
                    CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/153.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();                                              
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp153/bolt.png", 8f);
                        Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						Slide.GetComponent<SpriteRenderer>().color = Color.white;
						Slide.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Slide.localScale = new Vector3(1f, 1f);
						 
						
						var cover = Instance.transform.Find("Cover");
                        cover.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("remington/cover.png", 8f);
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp153/gun.png", 8f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
                        
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        
                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        
                        firearm.Cartridge = customCartridge;
                        customCartridge.name = "cartridge";                                        
                        customCartridge.Recoil *= 3f;
                        firearm.casingPosition = new Vector3(-0.2f,0.1f);    
                        
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("mp153/back.png", 8f);
                        childSprite.sortingLayerName = "Background"; 
						childSprite.sortingOrder = +1;
                       
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

                        
                        ;Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6900f, 0.1100f);
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("153.mp3"),

                        };
                        
						int ammoK = 7;
						
												
                    }
                }
            );
	ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "VPO 209 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/akm.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akm/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("akm/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("akm.mp3"),

                        };
			        }
                }
            );

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"),
                    NameOverride = "AGS-30 [EFT]",
                    NameToOrderByOverride = "@",
                    DescriptionOverride = "gun",
                    CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/ags.png"),
                    AfterSpawn = (Instance) =>
                    {                                              						
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ags30/gun.png", 8f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";						 
                        
                        var projectile = Instance.GetComponent<ProjectileLauncherBehaviour>();                                                                                                               
                       
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
                        Instance.FixColliders();
                        projectile.barrelPosition = new Vector2(0.8f, 0.1450f);
Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.2f;
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "DT MDR 5.56 [EFT]",
                    NameToOrderByOverride = "@",
                    DescriptionOverride = ":p",
                    CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mdr5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects(); 
                        var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("mdr5/back.png", 9.2f);
                        childSprite.sortingLayerName = "Background";                       
                        childSprite.sortingOrder = +1;
						
                         
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mdr5/gun.png", 9.2f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
                        
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        
                        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                        
                        firearm.Cartridge = customCartridge;
                        customCartridge.name = "cartridge";                                        
                        customCartridge.Recoil *= 2f;
                        firearm.casingPosition = new Vector3(-0.2f,0.1f);                                                                                            
                       
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

                        
                        ;Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5500f, 0.0800f);
                        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.0666f;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("m4.mp3"),

                        };
												
						
						
						
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "DT MDR 7.62 [EFT]",
                    NameToOrderByOverride = "@",
                    DescriptionOverride = ":p",
                    CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mdr7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects(); 
                        var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("mdr7/back.png", 9.2f);
                        childSprite.sortingLayerName = "Background";                       
                        childSprite.sortingOrder = +1;
						
                         
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mdr7/gun.png", 9.2f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
                        
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        
                        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                        
                        firearm.Cartridge = customCartridge;
                        customCartridge.name = "cartridge";                                        
                        customCartridge.Recoil *= 3f;
                        firearm.casingPosition = new Vector3(-0.2f,0.1f);                                                                                            
                       
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

                        
                        ;Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5500f, 0.0800f);
                        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.0766f;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("ash.mp3"),

                        };
												
						
						
						
                    }
                }
            );
ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "VPO 101 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/vpo.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("vpo 101/bolt2.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("vpo 101/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.6f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("vpo 101/vpo.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("svd.mp3"),

                        };
			        }
                }
            );
ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("Revolver"),
					NameOverride = "MTS 255 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = ":P",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/mts.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MTs 255/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 1.1f;
						customCartridge.Recoil *= 0.6f;
						customCartridge.ImpactForce *= 0.1f;
						
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("MTs 255/vpo.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
                                                Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 7;
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.15f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("153.mp3"),

                        };
			        }
                }
            );
ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("Revolver"),
					NameOverride = "MP 18 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = ":P",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/mp18.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp18/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 3.3f;
						customCartridge.Recoil *= 0.7f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("mp18/vpo.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("svd.mp3"),

                        };
			        }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                    NameOverride = "MP 155 [EFT]",
                    NameToOrderByOverride = "@",
                    DescriptionOverride = "GUN",
                    CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/155.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();                                              
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp155/bolt.png", 8f);
                        Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						Slide.GetComponent<SpriteRenderer>().color = Color.white;
						Slide.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Slide.localScale = new Vector3(1f, 1f);
						 
						
						var cover = Instance.transform.Find("Cover");
                        cover.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("remington/cover.png", 8f);
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp155/gun.png", 8f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
                        
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        
                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        
                        firearm.Cartridge = customCartridge;
                        customCartridge.name = "cartridge";                                        
                        customCartridge.Recoil *= 3f;
                        firearm.casingPosition = new Vector3(-0.2f,0.1f);    
                        
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("mp155/back.png", 8f);
                        childSprite.sortingLayerName = "Background"; 
						childSprite.sortingOrder = +1;
                       
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

                        
                        ;Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6900f, 0.1100f);
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("153.mp3"),

                        };
                        
						int ammoK = 7;
						
												
                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "ADAR 2-15 [EFT]",
                    NameToOrderByOverride = "@",
                    DescriptionOverride = "AR",
                    CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/adar.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects(); 
                        var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("AR/adarb.png", 8f);
                        childSprite.sortingLayerName = "Background";                       
                        childSprite.sortingOrder = +1;
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AR/bolt.png", 8f);
                        Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AR/adar.png", 8f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
                        
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        
                        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                        
                        firearm.Cartridge = customCartridge;
                        customCartridge.name = "cartridge";                                        
                        customCartridge.Recoil *= 2f;
                        firearm.casingPosition = new Vector3(-0.1f,0.1f);                                                                                            
                       
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

                        
                        ;Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5600f, 0.1000f);
                        Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.0769f;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("m4.mp3"),

                        };
					
                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "M4A1 [EFT]",
                    NameToOrderByOverride = "@",
                    DescriptionOverride = "AR",
                    CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/m4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects(); 
                        var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("AR/m4b.png", 8f);
                        childSprite.sortingLayerName = "Background";                       
                        childSprite.sortingOrder = +1;
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AR/bolt.png", 8f);
                        Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AR/m4.png", 8f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
                        
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        
                        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                        
                        firearm.Cartridge = customCartridge;
                        customCartridge.name = "cartridge";                                        
                        customCartridge.Recoil *= 2f;
                        firearm.casingPosition = new Vector3(-0.1f,0.1f);                                                                                            
                       
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

                        
                        ;Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5600f, 0.1000f);
                        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.0969f;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("m4.mp3"),

                        };
					
                    }
                }
            );
              ModAPI.Register(
            new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "MK 47 [EFT]",
                    NameToOrderByOverride = "@",
                    DescriptionOverride = "mutante",
                    CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mk47.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects(); 
                        var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("AR/mk47b.png", 8f);
                        childSprite.sortingLayerName = "Background";                       
                        childSprite.sortingOrder = +1;
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AR/holosunbolt.png", 8f);
                        Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AR/mk47.png", 8f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
                        
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        
                        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                        
                        firearm.Cartridge = customCartridge;
                        customCartridge.name = "cartridge";                                        
                        customCartridge.Recoil *= 2f;
                        firearm.casingPosition = new Vector3(-0.1f,0.1f);                                                                                            
                       
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

                        
                        ;Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5400f, 0.0350f);
                        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.0969f;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("m4.mp3"),

                        };
					
                    }
                }
            );
				ModAPI.Register(
			    new Modification()
				{

				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "RPK 16 [EFT]",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/16.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akbolt/bolt2.png", 5.9f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rpk16/back.png", 9f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("rpk16/ak.png", 9f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0175f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("akm.mp3"),

                        };
			        }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                    NameOverride = "MP 133 [EFT]",
                    NameToOrderByOverride = "@",
                    DescriptionOverride = "GUN",
                    CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/133.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();                                              
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp133/bolt.png", 8f);
                        Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						Slide.GetComponent<SpriteRenderer>().color = Color.white;
						Slide.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Slide.localScale = new Vector3(1f, 1f);
						 
						
						var cover = Instance.transform.Find("Cover");
                        cover.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("remington/cover.png", 8f);
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp133/gun.png", 8f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						 
                        
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        
                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        
                        firearm.Cartridge = customCartridge;
                        customCartridge.name = "cartridge";                                        
                        customCartridge.Recoil *= 3f;
                        firearm.casingPosition = new Vector3(-0.2f,0.1f);    
                        
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("mp133/back.png", 8f);
                        childSprite.sortingLayerName = "Background"; 
						childSprite.sortingOrder = +1;
                       
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

                        
                        ;Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.9000f, 0.1100f);
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("rem.mp3"),

                        };
                        
						int ammoK = 7;
						
												
                    }
                }
            );
ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Pistol"),
					NameOverride = "APS [EFT]",
					NameToOrderByOverride = "@",
					DescriptionOverride = "huh",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/aps.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("aps/bolt.png", 10.9f);	
					    Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						Slide.GetComponent<SpriteRenderer>().sortingOrder = -1;
						
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("aps/gun.png", 10.9f);
                                                Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                                                Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.0779f;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						Instance.GetComponent<SpriteRenderer>().sortingOrder = -2;
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("aps/front.png", 10.9f);
                        childSprite.sortingLayerName = "Default";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.2000f, 0.0900f);
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("pm.mp3"),
                        };
                        
						int ammoK = 20;
						
						
			        }
                }
            );
ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Pistol"),
					NameOverride = "Beretta M9A3 [EFT]",
					NameToOrderByOverride = "@",
					DescriptionOverride = "Pistol",
					CategoryOverride = ModAPI.FindCategory("TARKOVGUN"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/9a3.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m9a3/bolt.png", 11f);	
					    Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						Slide.GetComponent<SpriteRenderer>().sortingOrder = -1;
						
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m9a3/gun.png", 11f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						Instance.GetComponent<SpriteRenderer>().sortingOrder = -2;
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("m9a3/front.png", 11f);
                        childSprite.sortingLayerName = "Default";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("50 AE");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.2000f, 0.0900f);
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("glock.mp3"),
                        };
                        
						int ammoK = 15;
						
						
			        }
                }
            );
		}
	}
}	